Index: trunk/MagicSoft/GRB-Proposal/GRB_proposal_2005.tex
===================================================================
--- trunk/MagicSoft/GRB-Proposal/GRB_proposal_2005.tex	(revision 6136)
+++ trunk/MagicSoft/GRB-Proposal/GRB_proposal_2005.tex	(revision 6145)
@@ -3,5 +3,5 @@
 %%%-----------------------------------------------------------------
 %%%  Kopyleft (K) 2000 J C Gonzalez
-%%%  Max-Planck-Institut fuer Physik, 
+%%%  Max-Planck-Institut fuer Physik,
 %%%  Foehringer Ring 6, 80805 Muenchen, Germany
 %%%  E-mail: gonzalez@mppmu.mpg.de
@@ -12,5 +12,5 @@
 %%%  copies and that both that copyright notice and this
 %%%  permission notice appear in supporting documentation.
-%%%  
+%%%
 %%%  This piece of code is distributed in the hope that it will
 %%%  be useful, but WITHOUT ANY WARRANTY; without even the
@@ -18,11 +18,11 @@
 %%%
 %%%  Although you can actually do whatever you want with this
-%%%  file (following the copyright notice above), your are 
-%%%  strongly encouraged NOT to edit directly this file. 
+%%%  file (following the copyright notice above), your are
+%%%  strongly encouraged NOT to edit directly this file.
 %%%  Instead, make a copy and edit the copy for your purposes.
-%%% 
-%%%  Modifying thie original file means that you actually have 
-%%%  the (very basic) knowledge needed to make things by your 
-%%%  own, and therefore... you will not get _any_ additional 
+%%%
+%%%  Modifying thie original file means that you actually have
+%%%  the (very basic) knowledge needed to make things by your
+%%%  own, and therefore... you will not get _any_ additional
 %%%  support  :-)
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
@@ -34,4 +34,5 @@
 \usepackage{magic-tdas}
 \usepackage{xspace}
+\usepackage{color}
 %\usepackage[polish]{babel}
 \newcommand{\he}{HETE-2\xspace}
@@ -70,7 +71,10 @@
 \begin{abstract}
 We present a detailed strategy for the observation of Gamma Ray Bursts (GRBs) for the first
-half year of 2005. All observations will be triggered mainly by alerts of the satellites
-\he, \ig and above all \sw. We expect an alert rate in total of about
-1--2 observable bursts per month. 
+half year of 2005. All observations will be mainly triggered by alerts from \sw. In addition
+\he and \ig satellites will contribute to the number of alerts.
+We expect an alert rate in total of about 15 per months where 1--2 should be observable due to our
+duty cycle. Because it is still unknown how many alerts \sw will deliver in total and its precise sky coverage,
+we cannot predict the alert frequency better than 100\% uncertainty. This leads to a expected observation time
+of 5$\pm$5 hours per month. This number includes already observation during the moon time.
 We give a detailed description of the observation procedures in La Palma and
 propose to review the situation in half a year from now.
@@ -78,7 +82,7 @@
 
 %% contents %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\newpage
+
 \thetableofcontents
-
-\newpage
 
 %% body %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
@@ -117,4 +121,11 @@
 \bibitem{ZHANG1} High-Energy Spectral Components in Gamma-Ray Burst Afterglows,
 Zhang \& Meszaros, ApJ, 559, 110, 2001.
+\bibitem{TOTANI} Totani T., Astrophys. J. 502 L13 (1998), 509 L81 (1998), 536, L23, 2000.
+\bibitem{WAXMAN} Waxman E., Phys. Rev. Lett. 75, 386, 1995.
+\bibitem{BAHCALL} Waxman E., Bahcall J., Phys. Rev. Lett 78, 2292, 1997.
+\bibitem{BOETTCHER} Boettcher M, Dermer C.D., Astrophys. J. 499 L131, 1998.
+\bibitem{MESZAROS93} Meszaros P., Rees M., Astrophys. J. 418 L59, 1993.
+\bibitem{CHIANG} Chiang J., Dermer C.D., Astrophys. J. 512 699, 1999.
+\bibitem{ZHANG2} Zhang B., Meszaros P., Astrophys. J. 559 110, 2001.
 \bibitem{EGRET} Hurley K. et al., Nature, 372, 652
 \bibitem{DINGUS} ESLAB29, Towards the Source of Gamma-Ray Bursts, Dingus, Ap\&SS, 231, 187, 1995.
@@ -133,13 +144,5 @@
 \bibitem{GRAND} Sub-TeV Gammas in Coincidence with BATSE Gamma Ray Bursts,
 Poirier J, et al., Physical Review D, 67, 042001, 2003.
-\bibitem{TOTANI} Totani T., Astrophys. J. 502 L13 (1998), 509 L81 (1998),
-536, L23, 2000.
-\bibitem{WAXMAN} Waxman E., Phys. Rev. Lett. 75, 386, 1995.
-\bibitem{BAHCALL} Waxman E., Bahcall J., Phys. Rev. Lett 78, 2292, 1997.
-\bibitem{BOETTCHER} Boettcher M, Dermer C.D., Astrophys. J. 499 L131, 1998.
-\bibitem{MESZAROS93} Meszaros P., Rees M., Astrophys. J. 418 L59, 1993.
-\bibitem{CHIANG} Chiang J., Dermer C.D., Astrophys. J. 512 699, 1999.
-\bibitem{ZHANG2} Zhang B., Meszaros P., Astrophys. J. 559 110, 2001.
-\bibitem{ASAF2} Pe'er A., Waxman E., APJ 603, L1, 2004 (astro-ph/0310836)
+\bibitem{ASAF2} Pe'er A., Waxman E., ApJ 603, 448, 2004.
 \bibitem{LI} Li Z., Dai G., Lu T., accepted for A\&A, astro-ph/0208435, 2002.
 \bibitem{ICRC} The MAGIC Telescope and the Observation of GRBs,
@@ -147,6 +150,17 @@
 \bibitem{NICOLA} Il Telescopio MAGIC per l'osservazione dei Gamma Ray Bursts,
 Nicola Galante, tesi di laurea, (available at: http://www.pd.infn.it/magic/publi.html), 2002.
+\bibitem{GUETTA} The Luminosity and Angular Distributions of Logn-Duration GRBs,
+Guetta D., Piran T., Waxman E., astroph/0311488, 2003.
 
 %End of the list in the introduction
+
+%References used in chapter 2: Burst Alert System
+
+\bibitem{GCN} The GCN homepage: http://gcn.gsfc.nasa.gov/
+\bibitem{HETE} The HETE homepage: http://space.mit.edu/HETE/
+\bibitem{INTEGRAL} The INTEGRAL homepage: http://astro.estec.esa.nl/Integral/isoc/
+\bibitem{SWIFT} The SWIFT homepage: http://swift.gsfc.nasa.gov/docs/swift/
+\bibitem{CONTROL} MAGIC-TDAS 00-07, Cortina J, 2004.
+
 
 \bibitem{PAZCYNSKI} Pazcy\'{n}ski B., Astrophys. J. 308 L43 (1986)
@@ -156,28 +170,7 @@
 \bibitem{REES} Rees M., Meszaros P., MNRAS 258 P41 (1992)
 \bibitem{MESZAROS94} Meszaros P., Rees M., MNRAS 289 L41 (1994)
-\bibitem{NICOLAGRB} http://www.pd.infn.it/magic/GRB/grb.html
-\bibitem{GCN} http://gcn.gsfc.nasa.gov/
-\bibitem{GCNARCHIVE} http://lheawww.gsfc.nasa.gov/docs/gamcosray/legr/bacodine/gcn3\_archive.html
-\bibitem{GOTZ} D. Gotz, S. Mereghetti 2002 Observation of Gamma-ray Bursts with INTEGRAL
-Contribution to the XXII Moriond Astrophysics Meeting,
-The Gamma Ray Universe, Les Arcs 9-16 March 2002.
-\bibitem{IBAS} IBAS Client Software, Users Manual,
-available at:
-http://isdc.unige.ch/$\sim$isdc\_cms/icms/releases/public/ibas\_client/1.1.2/ibas\_client\_um-1.1.2.ps.gz
-\bibitem{HETE}
-(see also: http://space.mit.edu/HETE/mission\_status.htm \\
-           http://space.mit.edu/HETE/ban.html )
-\bibitem{HETE-SUM} HETE Trigger Summaries
-http://space.mit.edu/HETE/Bursts/summaries.html
-\bibitem{SWIFT} The SWIFT homepage
-http://swift.gsfc.nasa.gov/science/
-\bibitem{SWIFT2}
-http://swiftsc.gsfc.nasa.gov/docs/swift/swiftsc.html
-\bibitem{KNEISKE}
-T.M. Kneiske, T. Bretz, K. Mannheim, D.H. Hartmann,A\&A 413, 807 (2004)
-\bibitem{GRB030329}
-http://space.mit.edu/HETE/Bursts/GRB030329/
-\bibitem{eckart}
-E. Lorenz, private comm.
+
+\bibitem{KNEISKE} Kneiske T.M., Bretz T., Mannheim K., Hartmann D.H., A\&A 413, 807, 2004.
+
 \end{thebibliography}
 
Index: trunk/MagicSoft/GRB-Proposal/Introduction.tex
===================================================================
--- trunk/MagicSoft/GRB-Proposal/Introduction.tex	(revision 6136)
+++ trunk/MagicSoft/GRB-Proposal/Introduction.tex	(revision 6145)
@@ -3,9 +3,9 @@
 \subsection{Observation of GRBs}
 
-The MAGIC telescope's support structure and mirrors have been designed exceptionally light in order to
-to react quickly to GRB alerts from satellites. \cite{design} and~\cite{PETRY} set 
+The \ma telescope's support structure and mirrors have been designed exceptionally light in order to
+react quickly to GRB alerts from satellites. \cite{design} and~\cite{PETRY} set
 the objective to turn the telescope to the burst position within 10-30\,sec.
-in order to have a fair chance to detect a burst when the emission is still ongoing.
-During the commissioning phase it could be proven that that goal was reached.
+in order to have a fair chance to detect a burst when the prompt $\gamma$--emission is still ongoing.
+During the commissioning phase it could be proven that our goal was reached.
 The telescope is able to turn 180 degrees in azimuth within 20\,sec. and 80 degrees in zenith within 10\,sec.\\
 
@@ -21,5 +21,5 @@
 In many publications, the possibility that more energetic $\gamma$-rays come along with the 
 (low-energy) GRB, have been explored. Proton-synchrotron emission~\cite{TOTANI} have been suggested 
-as well as photon-pion production~\cite{WAXMAN,BAHCALL,BOETTCHER} and inverse-Compton scattering 
+as well as photon-pion production~\cite{WAXMAN,BAHCALL,BOETTCHER} and inverse-Compton scattering
 in the burst environment~\cite{MESZAROS93,CHIANG,PILLA,ZHANG2}.
 Long-term HE $\gamma$ emission from accelerated protons in the forward-shock has been predicted in~\cite{LI}. 
@@ -27,16 +27,15 @@
 Even considering pure electron-synchrotron radiation predicts measurable GeV emission for a significant fraction of GRBs~\cite{ZHANG2}.\\
 
-GeV emission in GRBs is particularly sensitive to the Lorentz factor and the photon density of the emitting material - 
-and thus to the distance of the radiating shock from the source - due to the $\gamma~\gamma \rightarrow$
-\textit{e$^+$~e$^-$} absorption in the emission region. Direct comparison of the prompt GRB flux at $\sim$ 10\,GeV and $\sim$ 100\,keV 
-may allow to determine the magnetic field strength~\cite{ASAF}.
+GeV emission in GRBs is particularly sensitive to the Lorentz factor and the photon density of the emitting material -
+and thus to the distance of the radiating shock from the source - due to the \linebreak
+$\gamma~\gamma \rightarrow$ \textit{e$^+$~e$^-$} absorption in the emission region. Direct comparison of the prompt GRB flux at $\sim$ 10\,GeV and $\sim$ 100\,keV may allow to determine the magnetic field strength~\cite{ASAF2}.
 
 \par
 
 Several attempts have been made in the past to observe GRBs in the GeV range,
-each indicating some excess over background but without stringent evidence. 
-The only significant detection was performed by EGRET which detected seven GRBs emitting high energy (HE) 
-photons in the 100\,MeV to 18\,dGeV range~\cite{EGRET}. The data shows no evidence of a HE roll-over 
-in the GRB spectrum~\cite{DINGUS}. Recent results indicate that the spectrum of some GRBs contains a very hard, 
+each indicating some excess over background but without stringent evidence.
+The only significant detection was performed by \eg which detected seven GRBs emitting high energy (HE)
+photons in the 100\,MeV to 18\,GeV range~\cite{EGRET}. The data shows no evidence of a HE cut-off
+in the GRB spectrum~\cite{DINGUS}. Recent results indicate that the spectrum of some GRBs contains a very hard,
 luminous, long-duration component~\cite{GONZALES}.
 There have been results suggesting gamma rays beyond the GeV range from the TIBET air shower array
@@ -49,12 +48,11 @@
 of hadrons and producing a spectral index of $-1$ with no cut-off up to the detector energy limit (200\,MeV).\\
 
-Concerning estimates about the MAGIC observability of GRBs, a very detailed study of GRB spectra obtained from the 
+Concerning estimates about the \ma observability of GRBs, a very detailed study of GRB spectra obtained from the
 third and fourth \ba catalogue has been made in~\cite{ICRC,NICOLA}. The spectra were extrapolated to GeV energies 
-with a simple continuation of the observed high-energy power law behaviour and the calculated fluxes compared with \ma sensitivities. 
-Setting conservative cuts on observation times and significances,
+with a simple continuation of the observed high-energy power law behaviour and the calculated fluxes compared with \ma sensitivities. Setting conservative cuts on observation times and significances,
 and assuming an energy threshold of 15~GeV, a GRB detection rate of $0.5-2$ per year
-was obtained for an assumed observation delay between 15 and 60 sec. and a BATSE trigger rate ($\sim$\,360/year).
+was obtained for an assumed observation delay between 15 and 60 sec. and a \ba trigger rate ($\sim$\,360/year).
 
-Taking into account the local rate of GRBs estimated in~\cite{GUETTA}, late afterglow emission from few tens of GRBs per year 
+Taking into account the local rate of GRBs estimated in~\cite{GUETTA}, late afterglow emission from few tens of GRBs per year
 should be observable above our energy threshold. The model of~\cite{ASAF2} predict delayed GeV emission that 
 should be significantly detectable by MAGIC in 100\,seconds.
Index: trunk/MagicSoft/GRB-Proposal/Monitor.tex
===================================================================
--- trunk/MagicSoft/GRB-Proposal/Monitor.tex	(revision 6136)
+++ trunk/MagicSoft/GRB-Proposal/Monitor.tex	(revision 6145)
@@ -7,12 +7,11 @@
 The Burst Alarm System is installed and working since last summer
 in La Palma. The duty of the Burst Alarm System
-is to perform a full-time survey of the GCN (Gamma-Ray Bursts
-Coordinates Network) alerts. Different satellite experiments perform GRB monitoring
-in their wide FOV and send immediately the coordinates of the GRBs to the GCN network.
+is to perform a full-time survey of the {\it GRB Coordinates Network} (\g)~\cite{GCN} alerts. Different satellite experiments perform GRB monitoring
+in their wide FOV and send immediately the coordinates of the GRBs to the \g network.
 The network send the alerts to registered users and allows other satellites as well as
 ground based observatories to observe the GRBs and their afterglows at different wavelengths.
 The Burst Alarm System is composed by a core program -
 which acts in two ways: on the
-one hand it manages the monitoring of the GCN, on the other it manages
+one hand it manages the monitoring of the \g, on the other it manages
 the communication with the Central Control (CC). Then it also manages
 three communication channels to notice the shifters
@@ -27,6 +26,6 @@
 \subsection{The connection to GCN}
 
-The connection to {\it GRB Coordinates Network} (GCN)~\cite{GCN} is performed by {\it gspot} through a
-TCP/IP connection to a computer at the Goddard Space Flight Center (GSFC). 
+The connection to \g is performed by {\it gspot} through a
+TCP/IP connection to a computer at the Goddard Space Flight Center (GSFC).
 This computer distributes the information it receives from the satellite
 experiments through the normal internet socket connection. The {\it gspot} on our
@@ -35,11 +34,14 @@
 and concerning the status of the connection. \\
 
-The format of the data distributed through the GCN differ between the individual satellites
+The format of the data distributed through the \g differ between the individual satellites
 and the kind of package. There are three satellites participating in the GRB survey:
-HETE-2, INTEGRAL and SWIFT. All are sending alerts which include the
+HETE-2~\cite{HETE}, INTEGRAL~\cite{INTEGRAL} and SWIFT~\cite{SWIFT}. All are sending alerts which include the
 UTC, coordinates (not always), error on coordinates
 (not always) and intensity (photon counts) of the burst.
 The first notices from HETE-2 and INTEGRAL usually do not include the coordinates.
-In few cases only coordinates are distributed in more refined notices.\\
+In few cases only coordinates are distributed in more refined notices.
+The \sw alerts are predicted to arrive with coordinates between 30-80 sec after the onset of the burst.
+The error on the coordinates from the BAT detector will be 4 arcmin which is smaller than the size of one
+inner pixel of the \ma camera.\\
 
 In case of an alert {\it gspot} stores the informations and enters
@@ -47,30 +49,25 @@
 
 \begin{itemize}
-\item {\bf darkness of the sky}, determined from the distance of the sun
+\item {\bf Darkness of the sky}: Determined from the distance of the sun
 to the astronomical horizon of 108$^\circ$ zenith;
-\item {\bf position of GRB}, the GRB equatorial
-coordinates are transformed into local horizontal coordinates. 
-The resulting GRB zenith angle has to be smaller than 70$^\circ$; in the case that the moon is
+\item {\bf Position of GRB}: The GRB equatorial
+coordinates are transformed into local horizontal coordinates.
+The resulting GRB zenith angle has to be smaller than 70$^\circ$. In the case that the moon is
 shining, this zenith angle limit is reduced to 65$^\circ$;
-\item {\bf position of moon} The angular
+\item {\bf Position of moon}: The angular
 distance from the GRB to the moon has to be at least 30$^\circ$.
 \end{itemize}
 
-If one or more of these conditions fail, {\it gspot}
-enters into a {\bf Yellow Alarm State}. It means that the GRB is not observable
-at the moment. Currently the program does not calculate if and when the GRB will
-become observable at La Palma.
-If all conditions mentioned above are satisfied,
-{\it gspot} enters into a {\bf Red Alarm State}, which means that
-the GRB is considered to be observable at the current time.\\
+If one or more of these conditions fail, {\it gspot} enters into a \textcolor{yellow}{\bf Yellow Alarm State}. It means that the GRB is not observable at the moment.
+Currently the program does not calculate if and when the GRB will become observable for \ma.
+If all conditions mentioned above are satisfied, {\it gspot} enters into a \textcolor{red}{\bf Red Alarm State}, it means that the GRB is considered to be observable now.\\
 
-In both cases (in RED and YELLOW alarm state) {\it gspot} establishes the communication
-with the Central Control and sends the GRB equatorial coordinates (RA/DEC J2000).
-For the communication to CC the format defined in~\cite{CONTROL} is used. In the same time
-the shifters and the GRB-MAGIC group is contacted in different ways described in the next sessions.
+In both cases (in \textcolor{red}{RED} and \textcolor{yellow}{YELLOW} alarm state) {\it gspot} establishes the communication with the CC and sends the GRB equatorial coordinates (RA/DEC J2000).
+For the communication with CC the format defined in~\cite{CONTROL} is used. In the same time
+the shifters and the GRB-MAGIC group is contacted in different ways as described in the next sessions.
 
 \subsection{The interface to the Central Control}
 
-An interface to {\it gspot} sends all the relevant information to {\it arehucas}.
+An interface of {\it gspot} sends all the relevant information to {\it arehucas}.
 In the case of {\bf NO Alarm State} the standard packages, containing the main global status
 of the two subsystems, are continuously exchanged between CC and {\it gspot}.
@@ -82,6 +79,6 @@
 \item {\it gspot} receives from {\it arehucas} the confirmation
 that it has received the alert notice; {\it arehucas} must send the alert back in order 
-to perform a cross-check of the relevant data;
-\item the alarm state expire after {\bf 5 hours}.
+to perform a cross-check of the relevant data
+\item the alarm state expire after {\bf 5 hours}
 \end{itemize}
 
@@ -103,5 +100,5 @@
 
 The status of the GRB Alert System and relevant informations about the lastest
-alerts are displayed on a separate web page. The page is hosted at the web server in La Palma.
+alert are displayed on a separate web page. The page is hosted at the web server in La Palma.
 The address is the following:\\
 
@@ -109,36 +106,52 @@
 
 The web page updates itself automatically every 10 seconds. In this way
-the status of the Burst Alarm System can be checked from outside.
+the status of the Burst Alarm System can be checked by the shifters and from outside.
 
 \subsection{The acoustic alert}
 
-A further CC-independent acoustic alarm called {\it phava} 
-(~PHonetic Alarm for Valued Alerts~) will be installed
+A further CC-independent acoustic alarm called {\it phava}
+(PHonetic Alarm for Valued Alerts) will be installed
 in La Palma very soon. It will provide a loud acoustic signal
-even if {\it arehucas} is switched off, so that people in the counting house
+even if {\it arehucas} is switched off, so that persons in the counting house
 will be noticed about the alert situation. The signal will be on as long as
 {\it gspot} stays in alarm state, and in any case for a minimum of 1 minute.
-This device will keep also a display to check the status of the system and the alert.
+This device feature also a display with the status of the system and the alert.
 
-\subsection{Alerts received until now}
+\subsection{Summary of alerts received until now}
 
 Since July, 15th 2004 {\it gspot} has been working stably at La Palma.
-It received about 100 alerts from HETE-2 and INTEGRAL, out of which 
-only 20 contained GRB's coordinates. Time delays
-were of very the order of of several minutes or even
-tens of minutes in most cases. The Burst Monitor can be considered bug-free since 
-November 2004. Since all bugs were fixed we received only one red alert from INTEGRAL on December 19th at 1:44 am 
-with a delay of 71 seconds. The GRB had a zenith angle of $\sim 60^\circ$. It is a pity that the weather
-conditions were very bad during this night.
+It received about 100 alerts from HETE-2 and INTEGRAL, out of which
+only 21 contained GRB's coordinates. Time delays
+were in the order of several minutes to tens of minutes. The Burst Monitor can be considered bug-free since
+November 2004. From this moment we received the following two significant alerts:\\
 
-\subsection{Procedure to be defined}
+\begin{tabular}{lllcccl}
+19th & December & 2004 & 1:44 am & INTEGRAL satellite & Zd $\sim 60^\circ$ & Timedelay 71 sec.\\
+28th & Januar & 2005 & 5:36 am & HETE-2 satellite & Zd $\sim 65^\circ$ & Timedelay 73 min. \\ \\
+\end{tabular}
+
+In both cases the weather conditions at La Palma were very bad.
+
+\subsection{Experience of SWIFT GRBs until now}
+
+According to the \sw homepage~\cite{SWIFT} the satellite detected 12 GRBs since mid December last year.
+The bursts were detected by chance during the comissioning phase. The satellite did not send
+the coordinates on time to \g. Anyhow, in the current sample are two bursts
+which in principle could have been observed by \ma:\\
+
+\begin{tabular}{lllccc}
+19th & December & 2004 & 1:42 am & SWIFT satellite & Zd $\sim 65^\circ$ \\
+26th & December & 2004 & 20:34 am & SWIFT satellite & Zd $\sim 52^\circ$ \\ \\
+\end{tabular}
+
+
+\subsection{Routines to be defined}
 
 The Burst Alarm System is currently able to provide the minimum
-features needed to point and to observe a GRB. However, several
-procedures must be defined in order to improve our efficiency
-to point and observe GRBs.
+features needed to point and to observe a GRB. However, in order to improve our efficiency
+to point and observe GRBs, several procedures have to be defined:
 
 \begin{itemize}
-\item {\bf Yellow Alarm strategy}
+\item {\bf Yellow Alarm strategy}:
 The strategy to follow a {\bf Yellow Alarm} is not defined yet.
 In such a case the CC does not undertake any steps,
@@ -146,21 +159,15 @@
 calculate if and when the GRB will become observable.
 It would make sense to check if during the period of 5 hours we could point to the burst.
-Then, the Alarm System would change to the {\bf Red Alarm State} 
+Then, the Alarm System would change to the {\bf Red Alarm State}
 at that time and allow the observation.
 
-\item {\bf Sequence of alerts}
-How to deal with new alerts that are distributed during the time 
-that {\it gspot} is in alarm state. Currently, {\it gspot}
-locks its alert status until it exits
-the alarm state. 
-This feature was implemented in order not to
-loose any GRB information. 
-Such a situation can occur when the CC is switched off and thus 
-cannot receive the alert and if more than one alert happens 
-in the late afternoon or in the 5 hours before the beginning 
-of the night-shift.
-In such a case we propose
-to implement a list of the available GRB alerts into {\it gspot} in which every
-item expires after: 
+\item {\bf Sequence of alerts}:
+How to deal with new alerts that are distributed during the time
+that {\it gspot} is in alarm state? Currently {\it gspot}
+locks its alert status until it exits the alarm state (see session 2.2).
+This feature was implemented to avoid any loose of the GRB information.
+Such a situation can occur when for example more than one burst alert is send before
+the shift crew starts the CC. To solve the problem we will change the {\it gspot} implement a list of the available
+GRB alerts into  in which every item expires after:
 
 \begin{itemize}
Index: trunk/MagicSoft/GRB-Proposal/Strategies.tex
===================================================================
--- trunk/MagicSoft/GRB-Proposal/Strategies.tex	(revision 6136)
+++ trunk/MagicSoft/GRB-Proposal/Strategies.tex	(revision 6145)
@@ -13,5 +13,5 @@
 Such duty-cycle studies, made before MAGIC started its observations,
 are reliable as long as the considered weather constraints
-(~maximum wind speed of 10 m/s, maximum humidity of 80\% and
+(~maximum wind speed of 10m/s, maximum humidity of 80\% and
 darkness at astronomical horizon~) remain similar to the real ones in 2005.
 In these duty-cycle studies also full-moon nights were considered (requiring