Index: trunk/MagicSoft/Mars/mjobs/MJCalibrateSignal.cc
===================================================================
--- trunk/MagicSoft/Mars/mjobs/MJCalibrateSignal.cc	(revision 6173)
+++ trunk/MagicSoft/Mars/mjobs/MJCalibrateSignal.cc	(revision 6177)
@@ -117,5 +117,6 @@
 //
 MJCalibrateSignal::MJCalibrateSignal(const char *name, const char *title)
-  : fRuns(0), fIsInterlaced(kTRUE), fIsRelTimesUpdate(kFALSE), fIsHiLoCalibration(kFALSE)
+    : fRuns(0), fIsInterlaced(kTRUE), fIsRelTimesUpdate(kFALSE), fIsHiLoCalibration(kFALSE),
+      fDataFlag(0)
 {
     fName  = name  ? name  : "MJCalibrateSignal";
Index: trunk/MagicSoft/Mars/mjobs/MJCalibrateSignal.h
===================================================================
--- trunk/MagicSoft/Mars/mjobs/MJCalibrateSignal.h	(revision 6173)
+++ trunk/MagicSoft/Mars/mjobs/MJCalibrateSignal.h	(revision 6177)
@@ -27,4 +27,22 @@
     Bool_t fIsHiLoCalibration;          // Choose to calibrate the high-gain vs. low-gains
     
+
+    enum DataType_t
+      {
+        kIsUseRawData,
+        kIsUseRootData,
+        kIsUseMC
+      };
+
+    Byte_t    fDataFlag;      // Bit-field to store the data type
+
+    Bool_t IsUseRawData()  const { return TESTBIT(fDataFlag,kIsUseRawData);  }
+    Bool_t IsUseRootData() const { return TESTBIT(fDataFlag,kIsUseRootData); }
+    Bool_t IsUseMC()       const { return TESTBIT(fDataFlag,kIsUseMC);       }
+
+    void   SetUseRawData ( const Bool_t b=kTRUE )  { b ? SETBIT(fDataFlag,kIsUseRawData)  : CLRBIT(fDataFlag,kIsUseRawData);  }
+    void   SetUseRootData( const Bool_t b=kTRUE )  { b ? SETBIT(fDataFlag,kIsUseRootData) : CLRBIT(fDataFlag,kIsUseRootData); }
+    void   SetUseMC      ( const Bool_t b=kTRUE )  { b ? SETBIT(fDataFlag,kIsUseMC)       : CLRBIT(fDataFlag,kIsUseMC);       }
+
     Bool_t CheckEnvLocal();
 
@@ -36,4 +54,5 @@
 
 public:
+
     MJCalibrateSignal(const char *name=NULL, const char *title=NULL);
 
@@ -44,6 +63,6 @@
     void SetHiLoCalibration( const Bool_t b=kTRUE )  { fIsHiLoCalibration = b; }
 
-    void SetInput          ( MRunIter *iter       )  { fRuns = iter; }
-
+    void SetInput      ( MRunIter *iter       )  { fRuns = iter; }
+    
     ClassDef(MJCalibrateSignal, 0) // Tool to create a pedestal file (MPedestalCam)
 };
Index: trunk/MagicSoft/Mars/mjobs/MJCalibration.cc
===================================================================
--- trunk/MagicSoft/Mars/mjobs/MJCalibration.cc	(revision 6173)
+++ trunk/MagicSoft/Mars/mjobs/MJCalibration.cc	(revision 6177)
@@ -188,5 +188,5 @@
     : fRuns(0), fExtractor(NULL), fTimeExtractor(NULL), 
       fColor(MCalibrationCam::kNONE), fDisplayType(kDataCheckDisplay),
-      fGeometry("MGeomCamMagic")
+      fDataFlag(0), fGeometry("MGeomCamMagic")
 {
 
Index: trunk/MagicSoft/Mars/mjobs/MJCalibration.h
===================================================================
--- trunk/MagicSoft/Mars/mjobs/MJCalibration.h	(revision 6173)
+++ trunk/MagicSoft/Mars/mjobs/MJCalibration.h	(revision 6177)
@@ -146,4 +146,22 @@
   Byte_t fFlags;                                       // Bit-field for the flags
   
+    enum DataType_t
+      {
+        kIsUseRawData,
+        kIsUseRootData,
+        kIsUseMC
+      };
+
+    Byte_t    fDataFlag;      // Bit-field to store the data type
+
+    Bool_t IsUseRawData()  const { return TESTBIT(fDataFlag,kIsUseRawData);  }
+    Bool_t IsUseRootData() const { return TESTBIT(fDataFlag,kIsUseRootData); }
+    Bool_t IsUseMC()       const { return TESTBIT(fDataFlag,kIsUseMC);       }
+
+    void   SetUseRawData ( const Bool_t b=kTRUE )  { b ? SETBIT(fDataFlag,kIsUseRawData)  : CLRBIT(fDataFlag,kIsUseRawData);  }
+    void   SetUseRootData( const Bool_t b=kTRUE )  { b ? SETBIT(fDataFlag,kIsUseRootData) : CLRBIT(fDataFlag,kIsUseRootData); }
+    void   SetUseMC      ( const Bool_t b=kTRUE )  { b ? SETBIT(fDataFlag,kIsUseMC)       : CLRBIT(fDataFlag,kIsUseMC);       }
+
+
   TString fGeometry;                                   // Class name geometry
   
Index: trunk/MagicSoft/Mars/mjobs/MJPedestal.cc
===================================================================
--- trunk/MagicSoft/Mars/mjobs/MJPedestal.cc	(revision 6173)
+++ trunk/MagicSoft/Mars/mjobs/MJPedestal.cc	(revision 6177)
@@ -102,5 +102,5 @@
 MJPedestal::MJPedestal(const char *name, const char *title) 
     : fRuns(0), fExtractor(NULL), fDisplayType(kDisplayDataCheck),
-      fExtractType(kUsePedRun), fExtractionType(kFundamental)
+      fExtractType(kUsePedRun), fExtractionType(kFundamental), fDataFlag(0)
 {
     fName  = name  ? name  : "MJPedestal";
Index: trunk/MagicSoft/Mars/mjobs/MJPedestal.h
===================================================================
--- trunk/MagicSoft/Mars/mjobs/MJPedestal.h	(revision 6173)
+++ trunk/MagicSoft/Mars/mjobs/MJPedestal.h	(revision 6177)
@@ -65,4 +65,21 @@
     Int_t fExtractionType;                   // Flag if the extractor is used to calculate the pedestals
 
+    enum DataType_t
+      {
+        kIsUseRawData,
+        kIsUseRootData,
+        kIsUseMC
+      };
+
+    Byte_t    fDataFlag;      // Bit-field to store the data type
+
+    Bool_t IsUseRawData()  const { return TESTBIT(fDataFlag,kIsUseRawData);  }
+    Bool_t IsUseRootData() const { return TESTBIT(fDataFlag,kIsUseRootData); }
+    Bool_t IsUseMC()       const { return TESTBIT(fDataFlag,kIsUseMC);       }
+
+    void   SetUseRawData ( const Bool_t b=kTRUE )  { b ? SETBIT(fDataFlag,kIsUseRawData)  : CLRBIT(fDataFlag,kIsUseRawData);  }
+    void   SetUseRootData( const Bool_t b=kTRUE )  { b ? SETBIT(fDataFlag,kIsUseRootData) : CLRBIT(fDataFlag,kIsUseRootData); }
+    void   SetUseMC      ( const Bool_t b=kTRUE )  { b ? SETBIT(fDataFlag,kIsUseMC)       : CLRBIT(fDataFlag,kIsUseMC);       }
+
     MExtractor *ReadCalibration() const;
     Bool_t ReadPedestalCam();
Index: trunk/MagicSoft/Mars/mjobs/MJob.cc
===================================================================
--- trunk/MagicSoft/Mars/mjobs/MJob.cc	(revision 6173)
+++ trunk/MagicSoft/Mars/mjobs/MJob.cc	(revision 6177)
@@ -54,5 +54,5 @@
 // Sets fDataFlag to 0
 //
-MJob::MJob(const char *name, const char *title) : fEnv(0), fDataFlag(0), fOverwrite(kFALSE), fMaxEvents(0)
+MJob::MJob(const char *name, const char *title) : fEnv(0), fOverwrite(kFALSE), fMaxEvents(0)
   
 {
Index: trunk/MagicSoft/Mars/mjobs/MJob.h
===================================================================
--- trunk/MagicSoft/Mars/mjobs/MJob.h	(revision 6173)
+++ trunk/MagicSoft/Mars/mjobs/MJob.h	(revision 6177)
@@ -18,13 +18,6 @@
     Bool_t      fEnvDebug;    // Debug setup of resources
 
-    enum DataType_t {
-      kIsUseRawData,
-      kIsUseRootData,
-      kIsUseMC
-    };
-
 protected:
 
-    Byte_t    fDataFlag;      // Bit-field to store the data type
     TString   fPathOut;       // Directory to write output file to (eg. calib*.root)
     TString   fPathIn;        // Directory to read output from (eg. calib*.root)
@@ -35,12 +28,4 @@
 
     MSequence fSequence;      // Sequence
-
-    Bool_t IsUseRawData()  const { return TESTBIT(fDataFlag,kIsUseRawData);  }
-    Bool_t IsUseRootData() const { return TESTBIT(fDataFlag,kIsUseRootData); }
-    Bool_t IsUseMC()       const { return TESTBIT(fDataFlag,kIsUseMC);       }
-
-    void   SetUseRawData ( const Bool_t b=kTRUE )  { b ? SETBIT(fDataFlag,kIsUseRawData)  : CLRBIT(fDataFlag,kIsUseRawData);  }
-    void   SetUseRootData( const Bool_t b=kTRUE )  { b ? SETBIT(fDataFlag,kIsUseRootData) : CLRBIT(fDataFlag,kIsUseRootData); }
-    void   SetUseMC      ( const Bool_t b=kTRUE )  { b ? SETBIT(fDataFlag,kIsUseMC)       : CLRBIT(fDataFlag,kIsUseMC);       }
 
     const TEnv *GetEnv() const { return fEnv; }