Index: trunk/MagicSoft/Mars/Changelog
===================================================================
--- trunk/MagicSoft/Mars/Changelog	(revision 6212)
+++ trunk/MagicSoft/Mars/Changelog	(revision 6214)
@@ -54,4 +54,8 @@
    * mjobs/MJCalibrateSignal.cc
      - put a compiler warning about the default cal. to photo-electrons
+
+   * callisto.cc
+     - add new flag "--use-test" to enable the MJCalibTest facility
+       (default: not used)
 
 
Index: trunk/MagicSoft/Mars/callisto.cc
===================================================================
--- trunk/MagicSoft/Mars/callisto.cc	(revision 6212)
+++ trunk/MagicSoft/Mars/callisto.cc	(revision 6214)
@@ -19,4 +19,5 @@
 #include "MJCalibration.h"
 #include "MJCalibrateSignal.h"
+#include "MJCalibTest.h"
 
 using namespace std;
@@ -71,5 +72,6 @@
     gLog << "   --print-seq               Print Sequence information" << endl;
     gLog << "   --print-files             Print Files taken from Sequence" << endl;
-    gLog << "   --print-only              Do not excute anything except print" << endl;
+    gLog << "   --print-only              Do not execute anything except print" << endl;
+    gLog << "   --use-test                Apply cal. const. to the same cal. file (for testing)" << endl;
     gLog << "   --config=callisto.rc      Resource file [default=callisto.rc]" << endl;
     gLog << endl;
@@ -117,4 +119,5 @@
     //const Bool_t  kPrintFiles = arg.HasOnlyAndRemove("--print-files");
     //const Bool_t  kPrintOnly  = arg.HasOnlyAndRemove("--print-only");
+    const Bool_t  kUseTest    = arg.HasOnlyAndRemove("--use-test");
     const Bool_t  kDebugEnv   = arg.HasOnlyAndRemove("--debug-env");
     const Bool_t  kDebugMem   = arg.HasOnlyAndRemove("--debug-mem");
@@ -373,4 +376,29 @@
             return 1;
         }
+        MJCalibTest job4(Form("MJCalibTest #%d", seq.GetSequence()));
+        if (kUseTest)
+          {
+            job4.SetBadPixels(job3.GetBadPixels());            
+            job4.SetSequence(seq);
+            job4.SetEnv(kConfig);
+            job4.SetEnvDebug(kDebugEnv);
+            job4.SetDisplay(d);;
+            job4.SetOverwrite(kOverwrite);
+            job4.SetPathOut(kOutpathC);
+            job4.SetPathData(kInpathD);
+            //            job4.SetPathIn(kInpathC); 
+
+            if (!job4.ProcessFile(job1.GetPedestalCam()))
+              {
+                gLog << err << "Calculation of calibration failed." << endl << endl;
+                return -1;
+              }
+            
+            if (!job4.GetDisplay())
+              {
+                gLog << warn << "Display closed by user... execution aborted." << endl << endl;
+                return 1;
+              }
+          }
     }
 
Index: trunk/MagicSoft/Mars/mhcalib/MHCalibrationChargeBlindPix.h
===================================================================
--- trunk/MagicSoft/Mars/mhcalib/MHCalibrationChargeBlindPix.h	(revision 6212)
+++ trunk/MagicSoft/Mars/mhcalib/MHCalibrationChargeBlindPix.h	(revision 6214)
@@ -71,6 +71,6 @@
   
   TPaveText *fFitLegend;                     //! Some legend to display the fit results
-  TH1F      *fHSinglePheFADCSlices;          //! A histogram created and deleted only in Draw()
-  TH1F      *fHPedestalFADCSlices;           //! A histogram created and deleted only in Draw()
+  TH1F      *fHSinglePheFADCSlices;          // A histogram created and deleted only in Draw()
+  TH1F      *fHPedestalFADCSlices;           // A histogram created and deleted only in Draw()
 
   // Fit
Index: trunk/MagicSoft/Mars/mhcalib/MHCalibrationRelTimeCam.cc
===================================================================
--- trunk/MagicSoft/Mars/mhcalib/MHCalibrationRelTimeCam.cc	(revision 6212)
+++ trunk/MagicSoft/Mars/mhcalib/MHCalibrationRelTimeCam.cc	(revision 6214)
@@ -130,5 +130,5 @@
 const Axis_t  MHCalibrationRelTimeCam::fgFirst      = -4.975;
 const Axis_t  MHCalibrationRelTimeCam::fgLast       = 10.025;
-const Float_t MHCalibrationRelTimeCam::fgProbLimit  = 0.00000001;
+const Float_t MHCalibrationRelTimeCam::fgProbLimit  = 0.0000000001;
 const TString MHCalibrationRelTimeCam::gsHistName   = "RelTime";
 const TString MHCalibrationRelTimeCam::gsHistTitle  = "Arr. Times";