Index: trunk/MagicSoft/GRB-Proposal/GRB_proposal_2005.tex
===================================================================
--- trunk/MagicSoft/GRB-Proposal/GRB_proposal_2005.tex	(revision 6248)
+++ trunk/MagicSoft/GRB-Proposal/GRB_proposal_2005.tex	(revision 6251)
@@ -79,7 +79,7 @@
 As it is still unknown how many alerts \sw will deliver exactly, and how its sky coverage matches 
 with the one of \ma,
-we cannot predict the alert frequency now to better than 100\% uncertainty. 
+we cannot predict the alert frequency now to better than 100\% uncertainty.
 This leads to an expected observation time
-of 5$\pm$5 hours per month. This number includes observation during moon-time.
+of 5$\pm$5 hours per month. This number includes observation during the moon-time.
 We give a detailed description of the observation procedures in La Palma and
 propose to spend one dedicated night to test the automatic alert procedure 
Index: trunk/MagicSoft/GRB-Proposal/Introduction.tex
===================================================================
--- trunk/MagicSoft/GRB-Proposal/Introduction.tex	(revision 6248)
+++ trunk/MagicSoft/GRB-Proposal/Introduction.tex	(revision 6251)
@@ -11,8 +11,8 @@
 
 Very high energy (VHE) GRB observations have the potential to constrain the current GRB models
-on both the prompt and extended phases of GRB emission~\cite{HARTMANN,MANNHEIM}.
+on both prompt and extended phases of GRB emission~\cite{HARTMANN,MANNHEIM}.
 Models based on both internal and external shocks predict VHE gamma-ray fluences comparable to,
 or in certain situations stronger than, the keV-MeV radiation,
-with durations ranging from shorter than the keV-MeV burst to extended TeV 
+with durations ranging from shorter than the keV-MeV burst to extended TeV
 afterglows~\cite{DERMER, PILLA, ZHANG1, RAZZAQUE}.
 
@@ -23,5 +23,5 @@
 as well as photon-pion production~\cite{WAXMAN,BOETTCHER} and inverse-Compton scattering
 in the burst environment~\cite{MESZAROS93,CHIANG,PILLA,ZHANG2,BELOBORODOV}.
-Long-term HE $\gamma$-emission from accelerated protons in the forward-shock has been predicted in~\cite{LI}. 
+Long-term high energy (HE) $\gamma$-emission from accelerated protons in the forward-shock has been predicted in~\cite{LI}.
 This model predicts GeV inverse Compton emission even one day after the burst.
 Even considering pure electron-synchrotron radiation, measurable GeV-emission for a significant 
@@ -40,5 +40,5 @@
 each indicating some excess over background but without stringent evidence.
 The only significant detection was performed by \eg which was able to observe seven GRBs 
-emitting high energy (HE)
+emitting HE
 photons in the 100\,MeV to 18\,GeV range~\cite{EGRET, DINGUS1}. The data shows no evidence of a HE cut-off in the GRB spectrum~\cite{DINGUS2}. Recent results indicate that the spectrum of some GRBs contains a very hard, luminous, long-duration component~\cite{GONZALES}.
 There have been results suggesting gamma rays beyond the GeV range from the TIBET air shower array
@@ -57,23 +57,23 @@
 and assuming an energy threshold of 15~GeV, a 5\,$\sigma$-signal rate of $0.5-2$ per year
 was obtained for an assumed observation delay between 15 and 60\,sec. and a \ba trigger rate 
-($\sim$\,360/year). As the \sw alert rate is about a factor~2 lower including even fainter bursts than 
-those observed by \ma, this number will still have to be lowered.
+($\sim$\,360/year). As the \sw alert rate is about factor~2 lower, including even fainter bursts than
+those observed by \ma, this number still have to be lowered.
 
-Taking into account the local rate of GRBs estimated in~\cite{GUETTA}, late afterglow emission from a 
+Taking into account the local rate of GRBs estimated in~\cite{GUETTA}, late afterglow emission from a
 few tens of GRBs per year should be observable over the whole sky above our energy threshold.
-The model of~\cite{ASAF2} predict delayed GeV-emission that should be significantly detectable by \ma 
+The model of~\cite{ASAF2} predict delayed GeV-emission that should be significantly detectable by \ma
 in 100\,sec.
 
 \subsection{Observation of XRFs}
 
-While the major energy from the prompt GRBs is emitted in $\gamma$-rays with a peak energy of 200\,keV, 
+While the major energy from the prompt GRBs is emitted in $\gamma$-rays with a peak energy of 200\,keV,
 X-ray flashes (XRFs) are characterized
-by peak energies below 50~keV and a dominant X-ray fluence. Because of similar properties, a connection 
-between XRFs and GRBs is suggested. 
+by peak energies below 50~keV and a dominant X-ray fluence. Because of similar properties, a connection
+between XRFs and GRBs is suggested.
 The most popular theories ~\cite{DADO} suggest that XRFs are produced from GRBs observed ''off-axis''.
 Alternatively, an increase of the baryon load within the fireball itself ~\cite{HUANG} or low efficiency shocks ~\cite{BARRAUD} could produce XRFs.
 If there is a connection between XRFs and GRBs, they should originate at rather low redshifts (z $<$ 0.6). Because If XRFs lie at large distances, their energies would not fit the observed correlation between GRB peak energy and isotropic energy release~\cite{LEVAN}. \\
 
-Gamma-ray satellites react in the same way to XRFs and GRBs. 
+Gamma-ray satellites react in the same way to XRFs and GRBs.
 In case of a detection the coordinates are distributed
 to other observatories (see section 2.1). Only from later analysis the difference can be established.
@@ -85,14 +85,14 @@
 \subsection{Observation of SGRs}
 
-Soft Gamma Repeaters (SGRs) are believed to be extremely rare strong magnetic neutron stars that 
-periodically emit $\gamma$-rays. Only four identified SGRs were discovered in the last 20 years: 
-SGR0526-66, SGR1806-20, SGR1900+14, SGR1627-41. 
-GRBs and SGRs can be explained within one same gamma jet model where the jet is observed at different 
+Soft Gamma Repeaters (SGRs) are believed to be extremely rare strong magnetic neutron stars that
+periodically emit $\gamma$-rays. Only four identified SGRs were discovered in the last 20 years:
+SGR0526-66, SGR1806-20, SGR1900+14, SGR1627-41.
+GRBs and SGRs can be explained within one same gamma jet model where the jet is observed at different
 beam-angles and at different ages~\cite{FARGION}.\\
 
-The BAT instrument on the SWIFT satellite triggered on an outburst from SGR1806-20 on 30. January 2005. 
-The fluence was about $10^{-5}$\,erg/cm$^2$ in the range between 15 and 350\,keV. 
-This event was five orders of magnitude smaller than the giant flare from this source on the 
-December 27$^{th}$, 2004~\cite{GCN3002}. MAGIC have a enough sensitivity for observing the event which have a fluence more than 2.5 $\times$ 10 $^{-2}$ erg/cm$^{2} \cdot sec$ at 100keV, when power law index of -2.0 and 100 sec. observation time are assumpted. Therefore if a giant flare from SGR occurs as SGR1806-20, MAGIC would be able to detect the $\gamma$-ray emission from these source.
+The BAT instrument on the SWIFT satellite triggered on an outburst from SGR1806-20 on 30. January 2005.
+The fluence was about $10^{-5}$\,erg/cm$^2$ in the range between 15 and 350\,keV.
+This event was five orders of magnitude smaller than the giant flare from this source on the
+December 27$^{th}$, 2004~\cite{GCN3002}. MAGIC have a enough sensitivity for observing the event which have a fluence more than 2.5 $\times$ 10 $^{-2}$ erg/cm$^{2} \cdot$\,sec at 100\,keV, when power law index of -2.0 and 100 sec. observation time are assumpted. Therefore if a giant flare from SGR occurs as SGR1806-20, MAGIC would be able to detect the $\gamma$-ray emission from these source.
 
 